package com.cmvr.vi.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.evaluation.model.vo.AeViEvaluationVO;
import com.cmvr.test.model.domain.TeTaskInst;
import com.cmvr.test.model.vo.TeQueryProjectOrchestraItemVO;
import com.cmvr.test.model.vo.TeTaskExecuteProjectVO;
import com.cmvr.vi.model.domain.ViProject;

import java.util.List;

/**
 * 语音交互-项目Service接口
 *
 * @author cmvr-iot
 */
public interface IViProjectService extends IService<ViProject> {
    /**
     * 查询语音交互-项目
     *
     * @param projectId 语音交互-项目主键
     * @return 语音交互-项目
     */
    public ViProject selectViProjectByProjectId(String projectId);

    /**
     * 查询语音交互-项目列表
     *
     * @param viProject 语音交互-项目
     * @return 语音交互-项目集合
     */
    public List<ViProject> selectViProjectList(ViProject viProject);

    /**
     * 新增语音交互-项目
     *
     * @param viProject 语音交互-项目
     * @return 结果
     */
    public int insertViProject(ViProject viProject);

    /**
     * 修改语音交互-项目
     *
     * @param viProject 语音交互-项目
     * @return 结果
     */
    public int updateViProject(ViProject viProject);

    /**
     * 批量删除语音交互-项目
     *
     * @param projectIds 需要删除的语音交互-项目主键集合
     * @return 结果
     */
    public int deleteViProjectByProjectIds(String[] projectIds);

    /**
     * 查询项目执行时运行参数
     */
    public List<TeQueryProjectOrchestraItemVO> queryExecuteRunParams(String projectId);

    /**
     * 执行项目
     */
    public String executeProject(TeTaskExecuteProjectVO taskExecuteProjectVO);

    public TeTaskInst getTeTaskInst(String projectId);

    /**
     * 查询最近一次项目执行记录
     */
    public String queryExecuteInstId(String projectId);

    public List<AeViEvaluationVO> queryEvaluation(String projectId);
}
